DotnetResource (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.dotnet.DotnetResource class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.dotnet
Class DotnetResource

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.dotnet.DotnetResource

    public class DotnetResource

extends java.lang.Object

Used by `DotnetCompile` to name resources. Could be upgraded to a datatype in the distant future. A resource maps to /res:file,name

Constructor Summary
`DotnetResource()`

Method Summary
`void` | `addFileset(FileSet fileset)` Adds a resource file set.
`java.io.File` | `getFile()` The file resource.
`java.lang.String` | `getName()` The name of the resource.
`java.lang.String` | `getNamespace()` Filesets root namespace.
`void` | `getParameters(Project p, NetCommand command, boolean csharpStyle)` build the C# style parameter (which has no public/private option)
`java.lang.Boolean` | `getPublic()` Get the public attribute.
`boolean` | `hasFilesets()` Checks that node has embedded
`boolean` | `isEmbed()` Return the embed attribute.
`void` | `setEmbed(boolean embed)` embed the resource in the assembly (default, true) or just link to it.
`void` | `setFile(java.io.File file)` name the resource
`void` | `setName(java.lang.String name)` should the resource have a name?
`void` | `setNamespace(java.lang.String namespace)` Sets filesets root namespace.
`void` | `setPublic(java.lang.Boolean aPublic)` VB and J# only: is a resource public or not?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DotnetResource

    public DotnetResource()

Method Detail

### isEmbed

    public boolean isEmbed()

  Return the embed attribute.

  Returns:
    the embed value.

### setEmbed

    public void setEmbed(boolean embed)

  embed the resource in the assembly (default, true) or just link to it.

  Parameters:
    `embed` - a `boolean` value.

### getFile

    public java.io.File getFile()

  The file resource.

  Returns:
    the file resource.

### setFile

    public void setFile(java.io.File file)

  name the resource

  Parameters:
    `file` - the file.

### getPublic

    public java.lang.Boolean getPublic()

  Get the public attribute.

  Returns:
    the public attribute.

### setPublic

    public void setPublic(java.lang.Boolean aPublic)

  VB and J# only: is a resource public or not?

  Parameters:
    `aPublic` - a `boolean` value.

### getName

    public java.lang.String getName()

  The name of the resource.

  Returns:
    the name of the resource.

### setName

    public void setName(java.lang.String name)

  should the resource have a name?

  Parameters:
    `name` - the name of the resource.

### getNamespace

    public java.lang.String getNamespace()

  Filesets root namespace. The value always ends with '.' .

  Returns:
    String namespace name

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Sets filesets root namespace.

  Parameters:
    `namespace` - String root namespace

### getParameters

    public void getParameters(Project p,
                              NetCommand command,
                              boolean csharpStyle)

  build the C# style parameter (which has no public/private option)

  Parameters:
    `p` - the current project.
    `command` - the command.
    `csharpStyle` - a `boolean` attribute.

### addFileset

    public void addFileset(FileSet fileset)

  Adds a resource file set.

  Parameters:
    `fileset` - FileSet

### hasFilesets

    public boolean hasFilesets()

  Checks that node has embedded

  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD